Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class ContentPane

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.ContentPane

All Implemented Interfaces:
  java.io.Serializable, Pane, PaneContainer, RenderIdSupport

    public class ContentPane

extends Component
implements Pane, PaneContainer

A content pane is a high-level container/layout object which provides layout for a content region and floating `WindowPane`s.

A `ContentPane` may only be added to a `Component` which implements `PaneContainer`.

At most one `Component` that does NOT implement `FloatingPane` may be added to a `ContentPane`. Any number of `FloatingPane`s may be added as children.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_BACKGROUND_IMAGE`
`static java.lang.String` | `PROPERTY_HORIZONTAL_SCROLL`
`static java.lang.String` | `PROPERTY_VERTICAL_SCROLL`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`ContentPane()` Creates a new `ContentPane`.

Method Summary
`FillImage` | `getBackgroundImage()` Returns the background image.
`Extent` | `getHorizontalScroll()` Returns the horizontal scrollbar position.
`Extent` | `getVerticalScroll()` Returns the vertical scrollbar position.
`boolean` | `isValidChild(Component child)` Determines if a given `Component` is valid to be added as a child to this `Component`.
`boolean` | `isValidParent(Component parent)` Determines if this `Component` is valid to be added as a child of the given parent `Component`.
`void` | `processInput(java.lang.String inputName, java.lang.Object inputValue)` Processes client input specific to the `Component` received from the `UpdateManager`.
`void` | `setBackgroundImage(FillImage newValue)` Sets the background image.
`void` | `setHorizontalScroll(Extent newValue)` Sets the horizontal scrollbar position.
`void` | `setVerticalScroll(Extent newValue)` Sets the vertical scrollbar position.

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_BACKGROUND_IMAGE

    public static final java.lang.String PROPERTY_BACKGROUND_IMAGE

See Also:
  Constant Field Values

### PROPERTY_HORIZONTAL_SCROLL

    public static final java.lang.String PROPERTY_HORIZONTAL_SCROLL

See Also:
  Constant Field Values

### PROPERTY_VERTICAL_SCROLL

    public static final java.lang.String PROPERTY_VERTICAL_SCROLL

See Also:
  Constant Field Values

Constructor Detail

### ContentPane

    public ContentPane()

  Creates a new `ContentPane`.

Method Detail

### getBackgroundImage

    public FillImage getBackgroundImage()

  Returns the background image.

  Returns:
    the background image

### getHorizontalScroll

    public Extent getHorizontalScroll()

  Returns the horizontal scrollbar position.

  Returns:
    the horizontal scrollbar position

### getVerticalScroll

    public Extent getVerticalScroll()

  Returns the vertical scrollbar position.

  Returns:
    the vertical scrollbar position

### isValidChild

    public boolean isValidChild(Component child)

  Description copied from class: `Component`
  Determines if a given `Component` is valid to be added as a child to this `Component`. Default implementation always returns true, may be overridden to provide specific behavior.

  Overrides:
    `isValidChild` in class `Component`
  Parameters:
    `child` - the `Component` to evaluate as a child
  Returns:
    true if the `Component` is a valid child
  See Also:
    `Component.isValidChild(nextapp.echo2.app.Component)`

### isValidParent

    public boolean isValidParent(Component parent)

  Description copied from class: `Component`
  Determines if this `Component` is valid to be added as a child of the given parent `Component`. Default implementation always returns true, may be overridden to provide specific behavior.

  Overrides:
    `isValidParent` in class `Component`
  Parameters:
    `parent` - the `Component` to evaluate as a parent
  Returns:
    true if the `Component` is a valid parent
  See Also:
    `Component.isValidParent(nextapp.echo2.app.Component)`

### processInput

    public void processInput(java.lang.String inputName,
                             java.lang.Object inputValue)

  Description copied from class: `Component`
  Processes client input specific to the `Component` received from the `UpdateManager`. Derivative implementations should take care to invoke `super.processInput()`.

  Overrides:
    `processInput` in class `Component`
  Parameters:
    `inputName` - the name of the input
    `inputValue` - the value of the input
  See Also:
    `Component.processInput(java.lang.String, java.lang.Object)`

### setBackgroundImage

    public void setBackgroundImage(FillImage newValue)

  Sets the background image.

  Parameters:
    `newValue` - the new background image

### setHorizontalScroll

    public void setHorizontalScroll(Extent newValue)

  Sets the horizontal scrollbar position. Values must be in pixel units. A value of -1px indicates that the scrollbar should be positioned at the end of the range.

  Parameters:
    `newValue` - the new horizontal scrollbar position

### setVerticalScroll

    public void setVerticalScroll(Extent newValue)

  Sets the vertical scrollbar position. Values must be in pixel units. A value of -1px indicates that the scrollbar should be positioned at the end of the range.

  Parameters:
    `newValue` - the new vertical scrollbar position

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD